DOM Level 3 API: Interface ASNotationDeclaration

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.dom3.as
Interface ASNotationDeclaration

All Superinterfaces:
  ASObject

Deprecated. This interface represents a notation declaration.

See also the Document Object Model (DOM) Level 3 Abstract Schemas and Load and Save Specification.

public interface ASNotationDeclaration
extends ASObject

Fields inherited from interface org.apache.xerces.dom3.as.ASObject
`AS_ATTRIBUTE_DECLARATION, AS_CONTENTMODEL, AS_ELEMENT_DECLARATION, AS_ENTITY_DECLARATION, AS_MODEL, AS_NOTATION_DECLARATION`

Method Summary
`java.lang.String` | `getPublicId()` Deprecated. The string representing the public identifier for this notation declaration, if present; `null` otherwise.
`java.lang.String` | `getSystemId()` Deprecated. the URI reference representing the system identifier for the notation declaration, if present, `null` otherwise.
`void` | `setPublicId(java.lang.String publicId)` Deprecated. The string representing the public identifier for this notation declaration, if present; `null` otherwise.
`void` | `setSystemId(java.lang.String systemId)` Deprecated. the URI reference representing the system identifier for the notation declaration, if present, `null` otherwise.

Methods inherited from interface org.apache.xerces.dom3.as.ASObject
`cloneASObject, getAsNodeType, getLocalName, getNamespaceURI, getNodeName, getOwnerASModel, getPrefix, setLocalName, setNamespaceURI, setNodeName, setOwnerASModel, setPrefix`

Method Detail

### getSystemId

    public java.lang.String getSystemId()

  Deprecated.
  the URI reference representing the system identifier for the notation declaration, if present, `null` otherwise.

### setSystemId

    public void setSystemId(java.lang.String systemId)

  Deprecated.
  the URI reference representing the system identifier for the notation declaration, if present, `null` otherwise.

### getPublicId

    public java.lang.String getPublicId()

  Deprecated.
  The string representing the public identifier for this notation declaration, if present; `null` otherwise.

### setPublicId

    public void setPublicId(java.lang.String publicId)

  Deprecated.
  The string representing the public identifier for this notation declaration, if present; `null` otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.